Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface ScheduleProviderDocument.ScheduleProvider

All Superinterfaces:
  Provider, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  ScheduleProviderDocumentImpl.ScheduleProviderImpl

Enclosing interface:
  ScheduleProviderDocument

    public static interface ScheduleProviderDocument.ScheduleProvider

extends Provider

An XML schedule-provider(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `ScheduleProviderDocument.ScheduleProvider.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`Schedule` | `addNewSchedule()` Appends and returns a new empty value (as xml) as the last "schedule" element
`Schedule[]` | `getScheduleArray()` Deprecated.
`Schedule` | `getScheduleArray(int i)` Gets ith "schedule" element
`java.util.List<Schedule>` | `getScheduleList()` Gets a List of "schedule" elements
`Schedule` | `insertNewSchedule(int i)` Inserts and returns a new empty value (as xml) as the ith "schedule" element
`void` | `removeSchedule(int i)` Removes the ith "schedule" element
`void` | `setScheduleArray(int i, Schedule schedule)` Sets ith "schedule" element
`void` | `setScheduleArray(Schedule[] scheduleArray)` Sets array of all "schedule" element
`int` | `sizeOfScheduleArray()` Returns number of "schedule" element

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Provider
`addNewProperty, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, removeProperty, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, xgetName, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getScheduleList

    java.util.List<Schedule> getScheduleList()

  Gets a List of "schedule" elements

### getScheduleArray

    Schedule[] getScheduleArray()

  Deprecated.

  Gets array of all "schedule" elements

### getScheduleArray

    Schedule getScheduleArray(int i)

  Gets ith "schedule" element

### sizeOfScheduleArray

    int sizeOfScheduleArray()

  Returns number of "schedule" element

### setScheduleArray

    void setScheduleArray(Schedule[] scheduleArray)

  Sets array of all "schedule" element

### setScheduleArray

    void setScheduleArray(int i,
                          Schedule schedule)

  Sets ith "schedule" element

### insertNewSchedule

    Schedule insertNewSchedule(int i)

  Inserts and returns a new empty value (as xml) as the ith "schedule" element

### addNewSchedule

    Schedule addNewSchedule()

  Appends and returns a new empty value (as xml) as the last "schedule" element

### removeSchedule

    void removeSchedule(int i)

  Removes the ith "schedule" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD